# -*- coding: utf-8 -*-
"""
Created on Tue Mar 10 14:28:16 2026

@author: Gaurav
"""

from qgis.core import QgsProcessingProvider
from .ptha_inundation_algorithm import Ptha


class PTHAProvider(QgsProcessingProvider):

    def loadAlgorithms(self):
        self.addAlgorithm(Ptha())

    def id(self):
        return "ptha"

    def name(self):
        return "PTHA Based Tsunami Inundation Tool"

    def longName(self):
        return self.name()